﻿@{
    ViewData["Title"] = "Vocabduel";

}

<div class="text-center">
    <div class="container login-frame">
        <div class="container shadow p-4 mb-3 bg-white rounded">
            <div class="pre-title mt-3">
                Willkommen bei
            </div>
            <div class="title">
                Vocabduel
            </div>
            <hr class="my-4" />
            <div class="input-group mb-4">
                <div class="input-group-prepend">
                    <span class="input-group-text">
                        <i class="fas fa-user"></i>
                    </span>
                </div>
                <input id="user-input"
                       type="text"
                       class="form-control"
                       placeholder="Username"
                       aria-label="Username" />
            </div>
            <div class="row">
                <div class="col">
                    <button type="button"
                            class="btn btn-success btn-block"
                            onclick="sign_in()">
                        Anmelden
                    </button>
                </div>
                <div class="col">
                    <button type="button"
                            class="btn btn-outline-secondary btn-block"
                            onclick="sign_up()">
                        Registrieren
                    </button>
                </div>
            </div>
        </div>
        <div id="action-alert" class="alert alert-success hidden" role="alert">
            <div class="row px-3 py-2">
                <div class="loader"></div>
                <span id="action-text" class="ml-3"></span>
            </div>
        </div>
        <div id="confirm-alert" class="alert alert-success hidden" role="alert">
            <div class="row px-3 py-2">
                <i class="fas fa-check" style="font-size: 24px"></i>
                <span id="confirm-text" class="ml-3"></span>
            </div>
        </div>
        <div id="error-alert" class="alert alert-danger hidden" role="alert">
            <div class="row px-3 py-2">
                <i class="fas fa-times" style="font-size: 24px"></i>
                <span id="error-text" class="ml-3"></span>
            </div>
        </div>
    </div>
</div>